Bug 557669 - Package kit no longer accepts root authentication
Package kit no longer accepts root authentication
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-22 01:30 EST by Jussi Eloranta
Modified: 2010-01-25 03:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 03:55:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2010-01-22 01:30:19 EST
Description of problem:

After updating my FC12 box on Jan 21, PackageKit no longer gives (for a normal user) the authentication dialog where one should enter the root password. It just bluntly says that authentication was failed and it is not possible to install anything (unless one goes to command line/root & yum). I am not sure if this is a PackageKit problem though, running, for example, System -> Administration -> Firewall also fails to start complaining Error: "org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.firewall.auth: "

So this is probably a problem with all applications requiring root authentication.
Comment 1 Matthias Clasen 2010-01-25 00:03:37 EST
Is polkit-gnome-authentication-agent-1 running in your session ?
Comment 2 Jussi Eloranta 2010-01-25 01:28:22 EST
It was not and I noticed that it had been somehow disabled from the startup applications. No idea how that happened but since I don't see much "me too" comments here, I suspect this is something specific to me...

I re-enabled it and now authentication works correctly.

Note You need to log in before you can comment on or make changes to this bug.